Bug 856318 - NumberLong(0).toNumber silently fails
NumberLong(0).toNumber silently fails
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mongodb (Show other bugs)
17
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nathaniel McCallum
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-11 14:41 EDT by Steven Hadfield
Modified: 2013-08-01 01:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 01:35:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Hadfield 2012-09-11 14:41:13 EDT
Description of problem:
When attempting to convert NumberLong(0) (specifically zero) to an integer using the toNumber function, it seems to return early from any wrapping function.

Version-Release number of selected component (if applicable):
mongodb.x86_64-2.0.6-2.fc17
mongodb.x86_64-2.0.7-1.fc17

How reproducible:
Every time

Steps to Reproduce:
1. Connect to a mongodb instance using the mongo shell (
2. Run the following script:
var test = function() {
    print('NumberLong(0) test');
    var test1 = NumberLong(0);
    print(test1.toNumber());
    print('Unreached 1');
    // Also fails
    print(test1 + 1);
    print('Unreached 2');
    return {'some' : 'result'};
};
test();
  
Actual results:
NumberLong(0) test

Expected results:
NumberLong(0) test
0
Unreached 1
1
Unreached 2
{ "some" : "result" }

Additional info:
This is a bug that was initially reported to 10gen (https://jira.mongodb.org/browse/SERVER-6994), but found to be Fedora specific.
Comment 1 Fedora End Of Life 2013-07-03 21:17:10 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-08-01 01:35:48 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.